/*!
 * @file    uwb_SmartField_conf.h
 * @author  Kryštof Vaněk <krystof.vanek@gmail.com>
 * @version 1.0
 * @date    2021-05-06
 * @brief   SmartField library configuration
 *
 * @attention <h2><center>&copy; Copyright (c) 2021 University of West Bohemia in Pilsen All rights reserved.</center></h2>
 * @attention <h2><center>Use of this source code without author permission and license agreement is prohibited. For license agreement contact the author.</center></h2>
 * @attention <h2><center>Tento zdrojový kód nelze využívat bez souhlasu autora a dohodě o licenčních podmínkách. Pro případné licencování kontaktujte autora.</center></h2>
 *
 * Developed by:<br>
 * University of West Bohemia<br>
 * Department of Technologies and Measurement<br>
 * www.zcu.cz
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
 * OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.
 */

#ifndef _UWB_SMARTFIELD_CONF_H_
#define _UWB_SMARTFIELD_CONF_H_

#ifdef __cplusplus
extern "C" {
#endif

/**
* @brief Include modular configuration identification and validation driver.
*/
#define SMARTFIELD_USE_MODULAR_IDENTIFICATION 	0
/**
* @brief Include Impedance-Meter model A driver
*/
#define SMARTFIELD_USE_IMM_MODEL_A 				0

/**
* @brief Voltage and Current parallel bus mapping. (Lower and upper byte)
*/
typedef enum {
    SMARTFIELD_VOLTAGE_COL = 0,	/*!< 0 */
    SMARTFIELD_CURRENT_COL = 1,	/*!< 1 */
} SmartField_Buffer_Column_t;

#ifdef __cplusplus
}
#endif

#endif /* _UWB_SMARTFIELD_CONF_H_ */
